Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.binding.xml
Class UDA10ServiceDescriptorBinderSAXImpl

    java.lang.Object
      org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderImpl
          org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl

All Implemented Interfaces:
  ServiceDescriptorBinder, ErrorHandler

    public class UDA10ServiceDescriptorBinderSAXImpl

extends UDA10ServiceDescriptorBinderImpl

Implementation based on JAXP SAX.

Author:
  Christian Bauer

Nested Class Summary
`protected static class` | `UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentHandler`
`protected static class` | `UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentListHandler`
`protected static class` | `UDA10ServiceDescriptorBinderSAXImpl.ActionHandler`
`protected static class` | `UDA10ServiceDescriptorBinderSAXImpl.ActionListHandler`
`protected static class` | `UDA10ServiceDescriptorBinderSAXImpl.AllowedValueListHandler`
`protected static class` | `UDA10ServiceDescriptorBinderSAXImpl.AllowedValueRangeHandler`
`protected static class` | `UDA10ServiceDescriptorBinderSAXImpl.RootHandler`
`protected static class` | `UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<I>`
`protected static class` | `UDA10ServiceDescriptorBinderSAXImpl.StateVariableHandler`
`protected static class` | `UDA10ServiceDescriptorBinderSAXImpl.StateVariableListHandler`

Constructor Summary
`UDA10ServiceDescriptorBinderSAXImpl()`

Method Summary
`
`<S extends Service> S`
` | `describe(S undescribedService, String descriptorXml)`

Methods inherited from class org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderImpl
`buildDOM, buildInstance, describe, error, fatalError, generate, hydrateAction, hydrateActionArgument, hydrateActionList, hydrateBasic, hydrateRoot, hydrateServiceStateTableList, hydrateStateVariable, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UDA10ServiceDescriptorBinderSAXImpl

    public UDA10ServiceDescriptorBinderSAXImpl()

Method Detail

### describe

    public <S extends Service> S describe(S undescribedService,
                                          String descriptorXml)
                               throws DescriptorBindingException,
                                      ValidationException

  Specified by:
    `describe` in interface `ServiceDescriptorBinder`
  Overrides:
    `describe` in class `UDA10ServiceDescriptorBinderImpl`
  Throws:
    `DescriptorBindingException`
    `ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.